%define major 0
%define libname %mklibname ogg %{major}
%define develname %mklibname ogg -d

Summary:	Ogg Bitstream Library
Summary(de):	Ogg Bitstream Bibliothek
Name:		libogg
Version:	1.3.2
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.xiph.org/
Source:		http://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Libogg is a library for manipulating ogg bitstreams. It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

%description -l de
Libogg ist eine Bibliothek zum Manipulieren von ogg Bitströmen.
Sie kann beides handhaben, das Herstellen von ogg Bitströmen und 
das Bekommen von Paketen aus ogg Bitströmen.

%package -n %{libname}
Summary:	Main library for %{name}
Summary(de):	Hauptbibliothek für %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%description -n %{libname} -l de
Dieses Paket beinhaltet die Bibliothek, die gebraucht wird um Programme
auszuführen, die dynamisch gegen %{name} gelinkt sind.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Summary(de):	Header für die Entwicklung von Programmen die %{name} nutzen wollen
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	libogg-devel = %{version}-%{release}
Obsoletes:	%{mklibname ogg 0 -d}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%description -n %{develname} -l de
Dieses Paket beinhaltet die Header, die Programmierer brauchen werden, um
Programme zu entwicklen die %{name} nutzen.

%prep
%setup -q

%build
sed -i "s/-O20/$CFLAGS/" configure
sed -i "s/-ffast-math//" configure
%configure2_5x --disable-static
%make


%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%{_docdir}/libogg-%{version}/
rm -f %{buildroot}/%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS CHANGES README
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/*.html doc/*.png doc/*.txt
%{_docdir}
%{_includedir}/ogg
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/*


%changelog
* Thu Jun 26 2014 bb <bb> 1.3.2-1pclos2014
- update
- drop la file

* Fri May 31 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.3.1-1pclos2013
- 1.3.1
- added german summaries and descriptions

* Mon Sep 12 2011 Texstar <texstar at gmail.com> 1.3.0-1pclos2011
- 1.3.0

* Mon Jan 31 2011 Texstar <texstar at gmail.com> 1.2.2-1pclos2011
- 1.2.2

* Sat Mar 27 2010 Texstar <texstar at gmail.com> 1.2.0-1pclos2010
- 1.2.0

* Fri Jul 17 2009 Texstar <texstar@gmail.com> 1.1.4-1pclos2009
- 1.1.4


